Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.step
Interface RowListener

All Known Implementing Classes:
  RowAdapter

    public interface RowListener

Method Summary
`void` | `errorRowWrittenEvent(org.pentaho.di.core.row.RowMetaInterface rowMeta, Object[] row)` This method is called when the error handling of a row is writing a row to the error stream.
`void` | `rowReadEvent(org.pentaho.di.core.row.RowMetaInterface rowMeta, Object[] row)` This method is called when a row is read from another step
`void` | `rowWrittenEvent(org.pentaho.di.core.row.RowMetaInterface rowMeta, Object[] row)` This method is called when a row is written to another step (even if there is no next step)

Method Detail

### rowReadEvent

    void rowReadEvent(org.pentaho.di.core.row.RowMetaInterface rowMeta,
                      Object[] row)
                      throws org.pentaho.di.core.exception.KettleStepException

  This method is called when a row is read from another step

  Parameters:
    `rowMeta` - the metadata of the row
    `row` - the data of the row
  Throws:
    `org.pentaho.di.core.exception.KettleStepException` - an exception that can be thrown to hard stop the step

### rowWrittenEvent

    void rowWrittenEvent(org.pentaho.di.core.row.RowMetaInterface rowMeta,
                         Object[] row)
                         throws org.pentaho.di.core.exception.KettleStepException

  This method is called when a row is written to another step (even if there is no next step)

  Parameters:
    `rowMeta` - the metadata of the row
    `row` - the data of the row
  Throws:
    `org.pentaho.di.core.exception.KettleStepException` - an exception that can be thrown to hard stop the step

### errorRowWrittenEvent

    void errorRowWrittenEvent(org.pentaho.di.core.row.RowMetaInterface rowMeta,
                              Object[] row)
                              throws org.pentaho.di.core.exception.KettleStepException

  This method is called when the error handling of a row is writing a row to the error stream.

  Parameters:
    `rowMeta` - the metadata of the row
    `row` - the data of the row
  Throws:
    `org.pentaho.di.core.exception.KettleStepException` - an exception that can be thrown to hard stop the step

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD